#include "pos.h"

bool operator==(FE_Pos const& a, FE_Pos const& b)
{return (a.x==b.x && a.y==b.y && a.z==b.z);}
bool operator!=(FE_Pos const& a, FE_Pos const& b)
{return !(a==b);}

FE_Pos::FE_Pos() : x(0), y(0), z(0)
{}

FE_Pos::FE_Pos(const FE_Pos& coord)
{
	x=coord.x;
	y=coord.y;
	z=coord.z;
}

FE_Pos& FE_Pos::operator=(const FE_Pos& a)
{this->FE_Pos(a);return *this;}

FE_Pos& FE_Pos::operator+=(const FE_Pos& a)
{x+=a.x;y+=a.y;z+=a.z;return *this;}

FE_Pos& FE_Pos::operator-=(const FE_Pos& a)
{x-=a.x;y-=a.y;z-=a.z;return *this;}

FE_Pos operator+(FE_Pos const& a, FE_Pos const& b)
{
	FE_Pos copie(a);
	copie+=b;
	return copie;
}
FE_Pos operator-(FE_Pos const& a, FE_Pos const& b)
{
	FE_Pos copie(a);
	copie-=b;
	return copie;
}