#ifndef FENG_H
#define FENG_H 

#define FE_State bool
#define FE_ACTIVE true
#define FE_PASSIVE false

#include "math/pos.h"
#include "math/angle.h"


class FxEngine // regroupement des fonctions
{
public:
	static void newFrame(); // reloads coords
	static void setState(FE_State state);

	static FE_Angle dh,dv;
	static FE_Position real;
	static int numPublicChange;
private:
	static FE_Angle m_dh,m_dv;
	static FE_Position m_virt;

	static FE_State m_state;
	static int m_numChange;

	static void move(); // appelé à intervalles réguliers

};





#endif